polybori::CWeakPtrFacade< ValueType > Class Template Reference

This class defines CWeakPtrFacade. More...

`#include <CWeakPtrFacade.h>`

## Public Types

typedef ValueType | value_type
typedef value_type * | data_type
typedef boost::shared_ptr < data_type > | ptr_type

## Public Member Functions

| CWeakPtrFacade ()
| Default constructor (only data is the pointer to here) More...
| CWeakPtrFacade (const self &rhs)
| Copy constructor (constructs new facade) More...
| ~CWeakPtrFacade ()
| Destructor (invalidates pointer to here) More...

## Protected Attributes

ptr_type | m_data

## Friends

class | CWeakPtr< value_type >

## Detailed Description

### template<class ValueType>
class polybori::CWeakPtrFacade< ValueType >

This class defines CWeakPtrFacade.

It should be the inheritance base for all classes supporting `CWeakPtr`.

## Member Typedef Documentation

template<class ValueType>

typedef value_type* polybori::CWeakPtrFacade< ValueType >::data_type

template<class ValueType>

typedef boost::shared_ptr<data_type> polybori::CWeakPtrFacade< ValueType >::ptr_type

template<class ValueType>

typedef ValueType polybori::CWeakPtrFacade< ValueType >::value_type

## Constructor & Destructor Documentation

template<class ValueType>

polybori::CWeakPtrFacade< ValueType >::CWeakPtrFacade | ( | ) |  |

inline

Default constructor (only data is the pointer to here)

template<class ValueType>

polybori::CWeakPtrFacade< ValueType >::CWeakPtrFacade | ( | const self & | rhs) |  |

inline

Copy constructor (constructs new facade)

template<class ValueType>

polybori::CWeakPtrFacade< ValueType >::~CWeakPtrFacade | ( | ) |  |

inline

Destructor (invalidates pointer to here)

## Friends And Related Function Documentation

template<class ValueType>

friend class CWeakPtr< value_type >

friend

## Member Data Documentation

template<class ValueType>

ptr_type polybori::CWeakPtrFacade< ValueType >::m_data

protected

The documentation for this class was generated from the following file:

- CWeakPtrFacade.h